Subject: bug#22557: 25.0.90; Saving a buffer under auto-revert turns off file notifications

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2016 21:40:56 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 07 Feb 2016 19:35:08 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't think the problem is in autorevert.el.  The problem is in
> > filenotify.el, which is where 'stopped' is generated.  Filenotify does
> > know what it watches.
> 
> I've committed a patch to the emacs-25 branch, which shall fix
> this.

It does, thanks.

> There is also a new test file-notify-test07-backup for this
> problems. W/o the fix in filenotify.el, this test failed. Now it
> succeeds for me.

It fails for me on w32, I need 2 changed events, not one.  If this is
surprising, I can investigate more.